/* v550_lib.h    V550 Readout library declarations  */

void v550_init(int base_address, int nstrips);
void v550_map(int vme_addr, int *base_address);
void v550_unmap(int base_address);
void v550_read(int base_address, short **buffer);
int v550_iread(int base_address, int *n0, int *d0, int *n1, int *d1);
int v550_array(int n0, int *d0, int *b0);
void v550_reset(int base_address);
int v550_drdy(int base_address);

#define V550_MAX_STRIPS 2048

#define V550_SIZE 0x6000
#define V550_AM_CODE 0x09   // Extended (A32) user access
