void KwikPlot(Int_t moi){
    char s[128];

    TCanvas *KwikPlot = new TCanvas("KwikPlot","KwikPlot",1100,750);

    TPad *pad_t = new TPad("pad_t","Text",   0.00,0.90,1.00,1.00,33);
    TPad *pad_p = new TPad("pad_p","Plots",  0.00,0.00,1.00,0.90,33);

    pad_t->Draw();
    pad_p->Draw();
    pad_p->Divide(2,4,0,0);

    pad_t->cd();

    TPaveText *t1 = new TPaveText(0.0,0.0,1.0,1.0);
    t1->SetFillColor(10);
    t1->SetTextAlign(13);
    t1->SetTextSize(0.3);
    t1->SetTextColor(4);
  
    sprintf(s,"ATLAS SCT Module Test");
    sprintf(s,"Run %d  Scan %d  Burst %d  Run_tsent %u  Run_ercnt %u", 
       e->runnum, e->scannum, e->burstnum, e->run_tsent, e->run_ercnt);
    t1->AddText(s);
    sprintf(s,"%s", e->scan_description_string);
    t1->AddText(s);

    t1->Draw();

    KwikPlot->Update();

    pad_p->cd(1);
    e->m[moi]->h_scan0->Draw("COLZ");
    e->m[moi]->h_scan0->SetXTitle("Channel Number");
    e->m[moi]->h_mean0->Draw("same");
    pad_p->cd(2);
    e->m[moi]->h_scan1->Draw("COLZ");
    e->m[moi]->h_scan1->SetXTitle("Channel Number");
    e->m[moi]->h_mean1->Draw("same");

    pad_p->cd(3);
    e->m[moi]->h_sigma0->Draw("P");
    pad_p->cd(4);
    e->m[moi]->h_sigma1->Draw("P");

    pad_p->cd(5);
    e->m[moi]->h_chisq0->Draw("P");
    pad_p->cd(6);
    e->m[moi]->h_chisq1->Draw("P");

    pad_p->cd(7);
    e->m[moi]->h_code0->Draw("P");
    pad_p->cd(8);
    e->m[moi]->h_code1->Draw("P");

    KwikPlot->Update();

}


