void PostRadTest(){

  //
  // Perform all tests as listed in PostRad sequence
  //
  // Version 0.1 PWP 13.12.00
  // Version 0.2 HP 14.12.00
  //

  // Clear abort flag to start
  e->abort=0;

  // (whatever)
  
  gROOT->ProcessLine(".L PVTest.cpp");
  gROOT->ProcessLine(".L KwikTrimScan.cpp");
  gROOT->ProcessLine(".L StrobeDelay.cpp");
  gROOT->ProcessLine(".L abcd2t_kwikgain.cpp");

  // run macros

  PVTest();
  KwikTrimScanLoop();
  StrobeDelay(1); // go to edge mode
  e->Restart();
  abcd2t_kwikgain(2); // in edge mode

  e->abort=0;
}

    
