
// cc_menu.cpp
// Version 0.1 PWP 07.08.00
// Version 0.2 PWP 20.03.02
// Version 0.21 BJG 30.04.02 - Variables definitions


void cc_menu(){

  TControlBar *cc_bar = new TControlBar("vertical","CLOAC");
  cc_bar->SetNumberOfColumns(1);

  cc_bar->AddButton("SingleTrigger",  "e->cc->SingleTrigger()","");
  cc_bar->AddButton("SingleSoftReset","e->cc->SingleSoftReset()","");
  cc_bar->AddButton("SingleBCReset",  "e->cc->SingleBCReset()","");
  cc_bar->AddButton("SingleCalTrig",  "e->cc->SingleCalTrig()","");
  cc_bar->AddButton("SinglePulseTrig","e->cc->SinglePulseTrig()","");
  cc_bar->AddButton("OverAllReset",   "e->cc->OverAllReset()","");

  cc_bar->AddButton("Run", "e->cc->Run()","");
  cc_bar->AddButton("Stop","e->cc->Stop()","");

  cc_bar->AddButton("Burst",     "e->cc->Burst()","");
  cc_bar->AddButton("CalBurst",  "e->cc->CalBurst()","");
  cc_bar->AddButton("PulseBurst","e->cc->PulseBurst()","");

  cc_bar->AddButton("SetInternalClock","e->cc->SetInternalClock()","");
  cc_bar->AddButton("SetExternalClock","e->cc->SetExternalClock()","");

  cc_bar->AddButton("EnablePeriodicSR", "cc_set_periodic_sr()","");
  cc_bar->AddButton("EnablePeriodicBCR","cc_set_periodic_bcr()","");
  cc_bar->AddButton("EnableRandomiser", "cc_set_randomiser()","");

  cc_bar->AddButton("SetPeriodicFreq", "cc_set_periodic_freq()","");
  cc_bar->AddButton("SetRandomFreq",   "cc_set_random_freq()","");
  cc_bar->AddButton("SetSoftResetFreq","cc_set_softreset_freq()","");

  cc_bar->AddButton("EnableTriggerWindow", "e->cc->EnableTriggerWindow()","");
  cc_bar->AddButton("DisableTriggerWindow","e->cc->DisableTriggerWindow()","");

  cc_bar->AddButton("SetWindowDelay",  "cc_set_window_delay()","");
  cc_bar->AddButton("SetWindowLength", "cc_set_window_length()","");

  cc_bar->AddButton("PrintStatus","e->cc->PrintStatus()","");

  cc_bar->Show();
  gROOT->SaveContext();
}

void cc_set_periodic_sr(){
  short state;

  printf("Set Periodic Soft Reset: on or off (0/1) ?");
  scanf("%d",&state);
  e->cc->periodic_sr=state;
  printf("\n");
}

void cc_set_periodic_bcr(){
  short state;

  printf("Set Periodic BC Reset: on or off (0/1) ?");
  scanf("%d",&state);
  e->cc->periodic_bcr=state;
  printf("\n");
}

void cc_set_randomiser(){
  short state;

  printf("Set Randomiser: on or off (0/1) ?");
  scanf("%d",&state);
  e->cc->randomiser=state;
  printf("\n");
}


void cc_set_periodic_freq(){
  double freq;

  printf("Set Periodic Frequency to: (kHz)(double) ");
  scanf("%lf",&freq);
  e->cc->SetPeriodicFreq(freq);

  freq= e->cc->GetPeriodicFreq();
  printf("frequency set to %ld kHz\n", freq);
}

void cc_set_random_freq(){
  double freq;

  printf("Set Random Frequency to: (kHz)(double) ");
  scanf("%lf",&freq);
  e->cc->SetRandomFreq(freq);

  freq= e->cc->GetRandomFreq();
  printf("frequency set to %ld kHz\n", freq);
}

void cc_set_softreset_freq(){
  double freq;

  printf("Set Soft Reset frequency to: (Hz)(double) ");
  scanf("%lf",&freq);
  e->cc->SetSoftResetFreq(freq);

  freq= e->cc->GetSoftResetFreq();
  printf("frequency set to %ld Hz\n", freq);
}

void cc_set_window_delay(){
  short delay;

  printf("Set Trigger Window Delay to: (0-31nS) ");
  scanf("%lf",&delay);
  e->cc->SetWindowDelay(delay);

  delay= e->cc->GetWindowDelay();
  printf("Trigger Window Delay set to %d nS\n", delay);
}

void cc_set_window_length(){
  short length;

  printf("Set Trigger Window length to: (0-31nS) ");
  scanf("%lf",&length);
  e->cc->SetWindowLength(length);

  length= e->cc->GetWindowLength();
  printf("Trigger Window Length set to %d nS\n", length);
}



