
/* 
 *  hvtest.c :  temptress test program
 *  version 0.2
 *  PWP 26.07.00
 */

#include <stdlib.h>
#include <stdio.h>

#ifdef RAID

#include <posix/time.h>
#endif

#include "temptress_lib.h"
#include "../stlib/sct_hardware.h"

void temptress_menu(short id);

main(){
  unsigned long address;
  short code;
  short id=0;

  address = TEMPTRESS_ADDRESS;
  printf("temptress_test: mapping TEMPTRESS at address %8x\n", address);


    code = temptress_vmemap(address,&id);
    printf(" ... status %d for address %x\n",code,address);
    if (code != 0) {
      printf("st_vmemap: FAILED with code %d for TEMPTRESS address %x; proceed ?\n", code, address);
      return -1;
    }
  
  temptress_menu(0);
 
  return 0;  
}

void temptress_menu(short id) {
  char cm[128];
  char c;
  short r = 0;
  int run = 1;

  printf("\n");

  while(run) {
    printf("\n");
    printf("TEMPTRESS: s(show status)\n");
    printf("       i(set_id) x(exit)\n");
    scanf("%1s", cm);
    c = cm[0];
    if (c == 'x') run = 0;
    else if (c == 's'){
      printf("TEMPTRESS: status for card %hd\n",id);
      temptress_print_status(id);
    }
    else if (c == 'i') { 
      printf("TEMPTRESS: enter new card id (0-3): "); 
      scanf("%d", &r); 
      id = r; 
      printf(" ... id set to %d\n", id);
      temptress_print_status(id);
     }
     else printf("TEMPTRESS: ERROR: unknown command %c\n", c);
  }
  printf("\n");
}

