void abcd2t_no_multipletrigs(short n){

  // Use SLOG to generate a group of n triggers
  // decode and histogram the last trigger only
  // PWP 23.03.00

  // Set Trigger Type 52 : soft reset plus n 1A

  e->burst_trtype = 52;

  // Set number of events/loop = n 
  e->L1A_per_loop = n;
  e->ConfigureVariable(45.0,n);

  // Throw away all but last event
  e->throw_away = (n-1);

  // Set event spacing =13 
  e->ConfigureVariable(45.0,13);
  
  // Set ThresholdScan Range

  e->ConfigureScan(1,0,200,2.5);

  // Make the scan using burst type 100 - Decoded Burst

  st_scan(100,-1);

}

void abcd2t_no_multipletrigs(){
  abcd2t_no_multipletrigs(2);
}
