#include <stdio.h>

#ifdef NIVXI
#include <time.h>
#endif

/* Pickup base address from sct_hardware.h */

#include "biled_lib.h"
#include "../stlib/sct_hardware.h"

#ifdef NIVXI

void sleep(clock_t wait){

  clock_t goal;

  goal = wait + clock();
  while (goal > clock() );
}

#endif

main()
{
  unsigned long i,k;
  int j;
  short id;

  printf("Enter BiLED board ID number:(0-1)");
  scanf("%d",&k);

  i = BILED_ADDRESS + (k*BILED_SPACING);
  j = biled_vmemap(i,&id);
  printf("vme_map status %d  returns id %x for address 0x%lx\n",j,id,i);

  fflush(stdout);

  sleep(2);

  j = biled_init(id);

  biled_menu();

  j = biled_exit();

  return(0);
}

