/* cloac_menu.h  UCL CLOAC module
   GFM 981108 
   GFM 990429  Add cc_menu_slowcomand()
   PWP 27.06.00 change prototypes 
   note cc_menu_sr_freq renamed from cc_menu_rs_freq
   to make apparent (?) difference between Soft Reset and hard ReSet
   PWP 30.06.00 Add cc_menu_vbusy 
   GFM 20020320 Add cc_menu_winlength(), cc_menu_windelay()
   GFM 20020526 Add cc_load_cal_special()
 */

/* Function prototypes */

#if defined(__STDC__)

int cc_init();
int cc_load_cal();
int cc_load_cal_special(unsigned short cal1, unsigned short cal2);
int cc_load_pulse();
int cc_slowcommand(unsigned short *cb, int length);

int cc_menu();
int cc_menu_enable(unsigned short v);
int cc_menu_disable(unsigned short v);
int cc_menu_command(unsigned short v);
int cc_menu_burst(unsigned short v);
int cc_menu_calburst(unsigned short v);
int cc_menu_delay(unsigned short v);
int cc_menu_trfreq(unsigned short v);
int cc_menu_srfreq(unsigned short v);
int cc_menu_monitor_state(int v);
int cc_menu_vbusy(unsigned short value);
int cc_menu_winlength(unsigned short v);
int cc_menu_windelay(unsigned short v);

#else

int cc_init();
int cc_load_cal();
int cc_load_cal_special();
int cc_load_pulse();
int cc_slowcommand();

int cc_menu();
int cc_menu_enable();
int cc_menu_disable();
int cc_menu_command();
int cc_menu_burst();
int cc_menu_calburst();
int cc_menu_delay();
int cc_menu_trfreq();
int cc_menu_srfreq();
int cc_menu_monitor_state();
int cc_menu_vbusy();
int cc_menu_winlength();
int cc_menu_windelay();

#endif
