/* Local include file for mus_lib.c. Contains definitions not needed by
   users of the library.
   JCH 4 August 1998 For Version 1 of library */

/* Offsets for registers/memories */

#define MUS_RESET     0x0
#define MUS_ROCNTL    0x2
#define MUS_ROMODE    0x4
#define MUS_CLKCNTL   0x6
#define MUS_TESTMODE  0x8
#define MUS_STATUS    0xA
#define MUS_TESTFIFO  0xE
#define MUS_TESTTRIG  0x10

#define MUS_DELAY     0x80

#define MUS_BUS       0x100
#define MUS_STRMODE   0x0
#define MUS_STRTRL    0x4
#define MUS_STRPAF    0x8
#define MUS_STRSTATUS 0xC

#define MUS_EVTBUFF   0x8000

#define MUS_HISTMEM   0x10000

/* Useful internal structure for MuSTARD info*/

struct mus_info_structure
{
#if defined(NIVXI) || defined(RCC)
  int window;
#endif
  unsigned long address;
};

#define mus_info_size sizeof(struct mus_info_structure)

/* End of local include file */

