/*   slog_private.h   slog_lib.c private header file (not needed to link)
 *     Version 0.1  981026 GFM   
 *     Version 0.2  990803 PWP - add functionality of SLOGB
 *     Version 0.24 020624 JCH - support for ATLAS RCC interface (for SBCs)
 */

#define SLOG_RUN        0x0
#define SLOG_STARTADDR  0x2
#define SLOG_CYCLES     0x4
#define SLOG_BUSY       0x6
#define SLOG_CLOCK      0x10
#define SLOG_INTERNAL   0x12
#define SLOG_EXTERNAL   0x14

#define SLOG_GMRA       0x16
#define SLOG_GMRB       0x18 
#define SLOG_CLK_CNTL   0x20 

#define SLOG_BASE     0x10000 
#define SLOG_SIZE     0x08000

struct slog_info_structure {
#if defined(NIVXI) || defined(RCC)
  int window;
#endif
  unsigned long address;
  short revision;
};

#define slog_info_size sizeof(struct slog_info_structure)


