void SemitecPlot(Double_t lo, Double_t hi){

  TF1 *semitec=new TF1("semitec","10*exp(3435*((1/(x+273))-(1/298)))",lo,hi);

  TCanvas* ctheta = new TCanvas("ctheta","Thermistor Temperature",500,500);

  ctheta->Draw();
  semitec->Draw();
  
  TH1* h_semitec = semitec->GetHistogram();
  h_semitec->SetXTitle("Temperature (Celcius)");
  h_semitec->SetYTitle("Resistance (kohms)");

  ctheta->Modified();
  ctheta->Update();
}

void SemitecPlot(){

  SemitecPlot(-30,100);
}