#include <iostream.h> 

void tburst(int delay=123){
  int n;
  float f;

  e->SaveState();  

  e->burst_ntrigs = 1000;   //# of triggers
  e->burst_trtype = 0;    // L1A
  e->burst_type = 20;     //external trigger

  e->ConfigureVariable(11,1);  // X1X compression 
  e->ConfigureVariable(13,0);  // EDGE DETECT OFF
  e->ConfigureVariable(14,0);  // Route Mask OFF
  e->ExecuteConfigs(); 

  int delay;

  //    for (delay=122;delay<132;delay++) {
  
  //for (delay=1;delay<145;delay++) {
  cout << "delay " << delay << endl;
  f=e->RetrieveVariable(0,27);
  printf("delay was %d\n",f);
  
  e->ConfigureVariable(27,delay);  // Trigger Delay
  
  //  e->ConfigureVariable(1,100);    // Threshold in mV
  e->ConfigureVariable(41,1.0);  // Threshold 1fC
  e->ExecuteConfigs();
  e->ExecuteBurst();
  st_display_burst();
  
  
  for (n=0; n<e->num_showmods; n++){
    if(e->m[n]->present) {
      e->m[n]->PrintBurst();
      cout << "Fractional Occ.:" << e->m[n]->FractionalOccupancy(0) <<endl;
      f=e->m[n]->FractionalOccupancy(0);
      //      printf("Fractional Occupancy stream 0 %f\n",f);
      if (f>0.3) 
	{
	  printf("Occ>0.3!!!!! Delay=%d\n",delay);
	  //	  return;
	}
    }  
  }

    //}
  e->RestoreState();
}




